<div class="content">
  <form [formGroup]="addNewTaskForm" (ngSubmit)="onSubmit(addNewTaskForm)">
    <div class="row">
      <div class="col-xs-12 col-12 col-md-12 form-group">
        <p>Title</p>
        <input
          type="text"
          class="form-control"
          aria-label="Sizing example input"
          aria-describedby="inputGroup-sizing-sm"
          formControlName="title"
        />
        <div
          *ngIf="
            (addNewTaskForm.get('title').dirty ||
              addNewTaskForm.get('title').touched ||
              submitted) &&
            addNewTaskForm.get('title').hasError('required')
          "
        >
          Oops, please provide a title!
        </div>
      </div>

      <div class="col-xs-12 col-12 col-md-12 form-group">
        <p>Description</p>
        <input
          type="text-area"
          class="form-control"
          aria-label="Sizing example input"
          aria-describedby="inputGroup-sizing-sm"
          formControlName="description"
        />
        <div
          *ngIf="
            (addNewTaskForm.get('description').dirty ||
              addNewTaskForm.get('description').touched ||
              submitted) &&
            addNewTaskForm.get('description').hasError('required')
          "
        >
          Oops, please provide a description!
        </div>
      </div>
      <div class="col-xs-12 col-12 col-md-12 form-group">
        <p>Delivery date</p>
        <input
          type="text"
          placeholder="Datepicker"
          class="form-control"
          bsDatepicker
          formControlName="deliveryDate"
        />
        <div
          *ngIf="
            (addNewTaskForm.get('deliveryDate').dirty ||
              addNewTaskForm.get('deliveryDate').touched ||
              submitted) &&
            addNewTaskForm.get('deliveryDate').hasError('required')
          "
        >
          Oops, please provide a delivery date!
        </div>
      </div>
      <div class="col-xs-12 col-12 col-md-12 form-group">
        <p>Delivery date</p>
        <div class="btn-group btn-group-toggle" data-toggle="buttons">
          <label class="btn btn-secondary active">
            <input
              type="radio"
              id="option1"
              checked
              value="High"
              formControlName="piriorty"
            />
            High
          </label>
          <label class="btn btn-secondary">
            <input
              type="radio"
              id="option2"
              value="Meduim"
              formControlName="piriorty"
            />
            Meduim
          </label>
          <label class="btn btn-secondary">
            <input
              type="radio"
              id="option3"
              value="Low"
              formControlName="piriorty"
            />
            Low
          </label>
        </div>

        <div
          *ngIf="
            (addNewTaskForm.get('deliveryDate').dirty ||
              addNewTaskForm.get('deliveryDate').touched ||
              submitted) &&
            addNewTaskForm.get('deliveryDate').hasError('required')
          "
        >
          Oops, please provide a delivery date!
        </div>
      </div>
      <div class="col-xs-12 col-12 col-md-12 form-group">
        <p>Group</p>
        <ng-select
          [items]="groups"
          bindLabel="label"
          bindValue="id"
          (change)="onChangeGroup($event)"
          (clear)="onClear()"
          formControlName="group"
        >
        </ng-select>
        <div
          *ngIf="
            (addNewTaskForm.get('group').dirty ||
              addNewTaskForm.get('group').touched ||
              submitted) &&
            addNewTaskForm.get('group').hasError('required')
          "
        >
          Oops, please provide a group!
        </div>
      </div>
    </div>
    <div class="w-50 d-flex justify-content-between">
      <app-button [type]="'submit'" [buttonData]="addNewTaskBtn"></app-button>
      <app-button
        [type]="'button'"
        [buttonData]="resetFormBtn"
        (onBtnClick)="addNewTaskForm.reset()"
      ></app-button>

      <app-button
        [type]="'button'"
        [buttonData]="backToListBtn"
        (onBtnClick)="navigateTo('/')"
      ></app-button>
    </div>
  </form>
</div>
